Bug 57688 - RFE: autopartitioned swap should be near start of disk.
RFE: autopartitioned swap should be near start of disk.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-18 20:02 EST by Ed McKenzie
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-12 12:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-12-18 20:02:18 EST
Disk Druid's autopartitioning places swap at the end of the drive.  Shouldn't swap 
be near the fastest part of the disk?  FreeBSD's sysinstall seems to think so, and 
IIRC much earlier versions of RHL did too.
Comment 1 Jeremy Katz 2002-01-02 16:39:47 EST
The algorithm hasn't changed at all from earlier versions of Red Hat Linux, and
with modern disks, I really don't know that there's enough of a difference to be
statitistically significant.
Comment 2 Brent Fox 2002-01-20 10:40:57 EST
katzj, do we want to implement this or close it?  Like you said, I don't think
that there would be a noticeable difference.
Comment 3 Jeremy Katz 2002-01-21 20:36:51 EST
Maybe at some point in the future... not worth the pain in changing the
algorithm at present, though.

Note You need to log in before you can comment on or make changes to this bug.